Test2::Util::Table::LineBreak(3pm)

NAME
Test2::Util::Table::LineBreak - Break up lines for use in tables.

DESCRIPTION
This is meant for internal use. This package takes long lines of text and splits them so that they fit in table rows.

SYNOPSIS
    use Test2::Util::Table::LineBreak;

    my $lb = Test2::Util::Table::LineBreak->new(string => $STRING);

    $lb->break($SIZE);
    while (my $part = $lb->next) {
        ...
    }

SOURCE
The source code repository for Test2-Suite can be found at https://github.com/Test-More/Test2-Suite/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2018 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/